> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Create merchant application

POST https://api-sandbox.payabli.com/api/Boarding/app
Content-Type: application/json

Creates a boarding application in an organization. This endpoint requires an application API token.

Reference: https://docs.payabli.com/developers/api-reference/boarding/create-boarding-application

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payabliApi
  version: 1.0.0
paths:
  /Boarding/app:
    post:
      operationId: add-application
      summary: Create boarding application
      description: >-
        Creates a boarding application in an organization. This endpoint
        requires an application API token.
      tags:
        - subpackage_boarding
      parameters:
        - name: requestToken
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/type_:PayabliApiResponse00Responsedatanonobject
        '400':
          description: Bad request/ invalid data
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized request.
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal API Error
          content:
            application/json:
              schema:
                description: Any type
        '503':
          description: Database connection error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_:PayabliApiResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/type_boarding:AddApplicationRequest'
servers:
  - url: https://api-sandbox.payabli.com/api
  - url: https://api.payabli.com/api
components:
  schemas:
    type_:ApplicationDataPayInServicesAch:
      type: object
      properties:
        acceptCCD:
          type: boolean
          description: >-
            CCD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Corporate Credit or Debit
            Entry. Options are: `true` and `false`
        acceptPPD:
          type: boolean
          description: >-
            PPD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Prearranged Payment and
            Deposit.
        acceptWeb:
          type: boolean
          description: >-
            Web is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Internet Initiated/Mobile
            Entry Options are `true` and `false`.
      title: ApplicationDataPayInServicesAch
    type_:ApplicationDataPayInServicesCard:
      type: object
      properties:
        acceptAmex:
          type: boolean
          description: Determines whether American Express is accepted.
        acceptDiscover:
          type: boolean
          description: Determines whether Discover is accepted.
        acceptMastercard:
          type: boolean
          description: Determines whether Mastercard is accepted.
        acceptVisa:
          type: boolean
          description: Determines whether Visa is accepted.
      title: ApplicationDataPayInServicesCard
    type_:OdpSetupProcessingRegion:
      type: string
      enum:
        - US
        - CA
      description: Region where payment processing occurs
      title: OdpSetupProcessingRegion
    type_:OdpSetup:
      type: object
      properties:
        allowAch:
          type: boolean
          description: Enables or disables ACH payout functionality
        allowChecks:
          type: boolean
          description: Enables or disables check printing payout functionality
        allowVCard:
          type: boolean
          description: Enables or disables vCard payout functionality
        processing_region:
          $ref: '#/components/schemas/type_:OdpSetupProcessingRegion'
          description: Region where payment processing occurs
        processor:
          type: string
          description: Payment processor identifier
        issuerNetworkSettingsId:
          type: string
          description: Reference ID for the program enabled for ODP issuance
      title: OdpSetup
    type_:ApplicationDataPayInServices:
      type: object
      properties:
        ach:
          $ref: '#/components/schemas/type_:ApplicationDataPayInServicesAch'
        card:
          $ref: '#/components/schemas/type_:ApplicationDataPayInServicesCard'
        odp:
          $ref: '#/components/schemas/type_:OdpSetup'
      required:
        - ach
        - card
      title: ApplicationDataPayInServices
    type_:Annualrevenue:
      type: number
      format: double
      description: Annual revenue amount.
      title: Annualrevenue
    type_:BoardingAverageBillSize:
      type: string
      description: >-
        This is the average amount of each bill you pay through our service. For
        example, if your business paid 3 bills for a total of \$1,500 then your
        average bill size is \$500.
      title: BoardingAverageBillSize
    type_:BoardingAvgMonthlyBill:
      type: string
      description: >-
        This is the total number of bills the business pays each month. For
        example, if your business pays an electric bill of \$500, a internet
        bill of \$150, and various suppliers \$5,000 every month then your
        monthly bill volume would be \$5,650.
      title: BoardingAvgMonthlyBill
    type_:Avgmonthly:
      type: number
      format: double
      description: >-
        Average total amount of transactions in your local currency that are
        processed each month.
      title: Avgmonthly
    type_:Baddress1:
      type: string
      description: Business address. This must be a physical address, not a P.O. box.
      title: Baddress1
    type_:Baddress2:
      type: string
      description: >-
        Business address additional line. If used, this must be the physical
        address of the business, not a P.O. box.
      title: Baddress2
    type_:AccountId:
      type: string
      description: Custom identifier for payment connector.
      title: AccountId
    type_:BankNickname:
      type: string
      description: User-defined name for the bank account.
      title: BankNickname
    type_:BankName:
      type: string
      description: Name of bank for account.
      title: BankName
    type_:RoutingAccount:
      type: string
      description: Routing number of bank account.
      title: RoutingAccount
    type_:AccountNumber:
      type: string
      description: >-
        Account number for bank account. This value is returned masked in
        responses.
      title: AccountNumber
    type_:TypeAccount:
      type: string
      enum:
        - Checking
        - Savings
      description: 'Type of bank account: Checking or Savings.'
      title: TypeAccount
    type_:BankAccountHolderName:
      type: string
      description: The accountholder's name.
      title: BankAccountHolderName
    type_:BankAccountHolderType:
      type: string
      enum:
        - Personal
        - Business
      description: Describes whether the bank is a personal or business account.
      title: BankAccountHolderType
    type_:BankAccountFunction:
      type: integer
      description: >-
        Indicates the function of the bank account:

        * 0 - Deposits

        * 1 - Withdrawals

        * 2 - Deposits & Withdrawals

        * 3 - Remittances

        * 4 - Remittances & Deposits

        * 5 - Remittances & Withdrawals

        * 6 - Remittances & Withdrawals & Deposits


        A paypoint is required to have a single deposit and withdrawal account.
        A Paypoint can have as many remittance accounts as needed for pay outs
        (remittances).
      title: BankAccountFunction
    type_:Bank:
      type: object
      properties:
        id:
          type: integer
          description: The Payabli-assigned internal identifier for the bank account.
        accountId:
          $ref: '#/components/schemas/type_:AccountId'
          description: >-
            An identifier for the bank account, used to specify which account
            handles payments when multiple accounts are configured. If not
            provided during creation or update, the system generates one in the
            format `acct-{first_digit}xxxxx{last_4_digits}` based on the account
            number. The mask always uses five `x` characters regardless of
            account number length. For example, account number `123456789`
            produces `acct-1xxxxx6789`. If a duplicate exists within the same
            service at the paypoint, a numeric suffix is appended, such as
            `acct-1xxxxx6789-2`. This value is also used as the identifier for
            the bank account's associated payment connector.
        nickname:
          $ref: '#/components/schemas/type_:BankNickname'
        bankName:
          $ref: '#/components/schemas/type_:BankName'
        routingAccount:
          $ref: '#/components/schemas/type_:RoutingAccount'
        accountNumber:
          $ref: '#/components/schemas/type_:AccountNumber'
        typeAccount:
          $ref: '#/components/schemas/type_:TypeAccount'
        bankAccountHolderName:
          $ref: '#/components/schemas/type_:BankAccountHolderName'
        bankAccountHolderType:
          $ref: '#/components/schemas/type_:BankAccountHolderType'
        bankAccountFunction:
          $ref: '#/components/schemas/type_:BankAccountFunction'
        verified:
          type: boolean
          description: >-
            Bank account verification status. When `true`, the account has been
            verified to exist and be in good standing based on vendor checks or
            previous processing histories.
        status:
          type: integer
          description: Bank account status
        services:
          type: array
          items:
            type: string
          description: Array of services associated with this bank account
      description: Object that contains bank account details.
      title: Bank
    type_:BankData:
      type: array
      items:
        $ref: '#/components/schemas/type_:Bank'
      description: Information about associated bank accounts.
      title: BankData
    type_:Bcity:
      type: string
      description: Business city
      title: Bcity
    type_:Bcountry:
      type: string
      description: >-
        Business country in ISO-3166-1 alpha 2 format. See:
        https://en.wikipedia.org/wiki/ISO_3166-1 for more information.
      title: Bcountry
    type_:Binperson:
      type: integer
      description: >-
        Numeric percent of volume processed in person. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binperson
    type_:Binphone:
      type: integer
      description: >-
        Numeric percent of volume processed by phone. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binphone
    type_:Binweb:
      type: integer
      description: >-
        Numeric percent of volume processed on web. To pass validation,
        `binperson`, `binweb`, and `binphone` must total 100 together.
      title: Binweb
    type_:Bstate:
      type: string
      description: Business state.
      title: Bstate
    type_:Bsummary:
      type: string
      description: A summary of what the business sells in terms of goods or services.
      title: Bsummary
    type_:OwnType:
      type: string
      enum:
        - Limited Liability Company
        - Non-Profit Org
        - Partnership
        - Private Corp
        - Public Corp
        - Tax Exempt
        - Government
        - Sole Proprietor
      description: The business ownership type.
      title: OwnType
    type_:Bzip:
      type: string
      description: Business ZIP.
      title: Bzip
    type_:Email:
      type: string
      format: email
      description: Email address.
      title: Email
    type_:AdditionalDataString:
      type: string
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. Example usage: 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataString
    type_:ApplicationDataPayInContactsItem:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Contact email address.
        contactName:
          type: string
          description: Contact name.
        contactPhone:
          type: string
          description: Contact phone number.
        contactTitle:
          type: string
          description: Contact title.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: ApplicationDataPayInContactsItem
    type_:Dbaname:
      type: string
      description: >-
        The alternate or common name that this business is doing business under
        usually referred to as a DBA name.
      title: Dbaname
    type_:Ein:
      type: string
      description: >-
        Business EIN or tax ID. This value is masked in API responses, for
        example `XXXX6789`.
      title: Ein
    type_:ExternalPaypointId:
      type: string
      description: >-
        A custom identifier for the paypoint, if applicable. Like `entrypoint`
        is the Payabli identifier for the merchant, `externalPaypointId` is a
        custom field you can use to include the merchant's ID from your own
        systems.
      title: ExternalPaypointId
    type_:FaxNumber:
      type: string
      description: Fax number.
      title: FaxNumber
    type_:Highticketamt:
      type: number
      format: double
      description: High ticket amount.
      title: Highticketamt
    type_:Legalname:
      type: string
      description: Business legal name.
      title: Legalname
    type_:License:
      type: string
      description: Business license ID or state ID number.
      title: License
    type_:Licensestate:
      type: string
      description: Business license issuing state or province.
      title: Licensestate
    type_:Maddress:
      type: string
      description: The business's mailing address.
      title: Maddress
    type_:Maddress1:
      type: string
      description: Additional line for the business's mailing address.
      title: Maddress1
    type_:Mcc:
      type: string
      description: >-
        Business Merchant Category Code (MCC). [This
        resource](https://github.com/greggles/mcc-codes/blob/main/mcc_codes.csv)
        lists MCC codes.
      title: Mcc
    type_:Mcity:
      type: string
      description: The business's mail city.
      title: Mcity
    type_:Mcountry:
      type: string
      description: Business mailing country.
      title: Mcountry
    type_:Mstate:
      type: string
      description: The business's mailing address state.
      title: Mstate
    type_:Mzip:
      type: string
      description: Business mailing ZIP.
      title: Mzip
    type_:Orgid:
      type: integer
      format: int64
      description: Organization ID. Unique identifier assigned to an org by Payabli.
      title: Orgid
    type_:ApplicationDataPayInOwnershipItem:
      type: object
      properties:
        ownername:
          type: string
          description: >-
            Person who is registered as the beneficial owner of the business.
            This is a combination of first and last name.
        ownertitle:
          type: string
          description: The job title of the person such as CEO or director.
        ownerpercent:
          type: integer
          description: Percentage of ownership the person holds, in integer format.
        ownerssn:
          type: string
          description: >-
            The relevant identifier for the person such as a Social Security
            Number.
        ownerdob:
          type: string
          description: Owner's date of birth.
        ownerphone1:
          type: string
          description: Owner phone 1.
        ownerphone2:
          type: string
          description: Owner phone 2.
        owneremail:
          $ref: '#/components/schemas/type_:Email'
          description: Owner email.
        ownerdriver:
          type: string
          description: >-
            Owner driver's license ID number. Payabli strongly recommends
            including this.
        oaddress:
          type: string
          description: >-
            Owner street address. This must be the physical address of the
            owner, not a P.O. box.
        ocity:
          type: string
          description: Owner address city.
        ocountry:
          type: string
          description: >-
            Owner address country in ISO-3166-1 alpha 2 format. Check out
            https://en.wikipedia.org/wiki/ISO_3166-1 for reference.
        odriverstate:
          type: string
          description: >-
            Owner driver's license State. Payabli strongly recommends including
            this.
        ostate:
          type: string
          description: Owner address state.
        ozip:
          type: string
          description: Owner address ZIP.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: ApplicationDataPayInOwnershipItem
    type_:PhoneNumber:
      type: string
      description: Phone number.
      title: PhoneNumber
    type_:RecipientEmailNotification:
      type: boolean
      description: >-
        When `true`, Payabli will send the applicant a boarding link. Set this
        value to `false` if you are sending pre-filled applications via the API
        and don't want Payabli to send the applicant an email to complete the
        boarding application.
      title: RecipientEmailNotification
    type_:Resumable:
      type: boolean
      description: >-
        When `true`, the applicant can save an incomplete application and resume
        it later. When `false`, the applicant  won't have an option to save
        their progress, and must complete the application in one session.
      title: Resumable
    type_:SignerName:
      type: string
      description: The signer's name.
      title: SignerName
    type_:SignerSsn:
      type: string
      description: The signer's SSN.
      title: SignerSsn
    type_:SignerDob:
      type: string
      description: The signer's date of birth.
      title: SignerDob
    type_:SignerPhone:
      type: string
      description: The signer's phone number.
      title: SignerPhone
    type_:Signeraddress:
      type: string
      description: >-
        The signer's address. This must be the physical address of the signer,
        not a P.O. box.
      title: Signeraddress
    type_:SignerAddress1:
      type: string
      description: >-
        Additional line for the signer's address. If used, this must be the
        physical address of the signer, not a P.O. box.
      title: SignerAddress1
    type_:SignerCity:
      type: string
      description: The signer's city.
      title: SignerCity
    type_:SignerCountry:
      type: string
      description: >-
        The signer's country in ISO-3166-1 alpha 2 format. See this reference
        for more: https://en.wikipedia.org/wiki/ISO_3166-1.
      title: SignerCountry
    type_:SignerState:
      type: string
      description: The signer's state.
      title: SignerState
    type_:SignerZip:
      type: string
      description: The signer's zip code.
      title: SignerZip
    type_:SignerAcceptance:
      type: boolean
      description: >-
        The signer's acceptance status. A true or false indicating an acceptance
        to the terms of service with the root org or provider.
      title: SignerAcceptance
    type_:SignedDocumentReference:
      type: string
      description: Reference to the signed document.
      title: SignedDocumentReference
    type_:PciAttestation:
      type: boolean
      description: >-
        When `true`, indicates that the merchant acknowledges PCI
        responsibilities and can be enrolled in the PCI program for breach
        insurance
      title: PciAttestation
    type_:AttestationDate:
      type: string
      description: >-
        Date the attestation was provided for PCI Compliance (`pciAttestation`),
        in MM/DD/YYYY format.
      title: AttestationDate
    type_:AdditionalDataMap:
      type: object
      additionalProperties:
        type: string
      description: >-
        Custom dictionary of key:value pairs. You can use this field to store
        any data related to the object or for your system. 


        ```json

        {
          "additionalData": {
            "key1": "value1",
            "key2": "value2",
            "key3": "value3"
          }
        }

        ```
      title: AdditionalDataMap
    type_:SignDate:
      type: string
      description: |-
        Date when the signer signed the document. Accepted formats:
        YYYY-MM-DD, MM/DD/YYYY
      title: SignDate
    type_:SignerDataRequest:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/type_:SignerName'
        ssn:
          $ref: '#/components/schemas/type_:SignerSsn'
        dob:
          $ref: '#/components/schemas/type_:SignerDob'
        phone:
          $ref: '#/components/schemas/type_:SignerPhone'
        email:
          $ref: '#/components/schemas/type_:Email'
          description: The signer's email address.
        address:
          $ref: '#/components/schemas/type_:Signeraddress'
        address1:
          $ref: '#/components/schemas/type_:SignerAddress1'
        city:
          $ref: '#/components/schemas/type_:SignerCity'
        country:
          $ref: '#/components/schemas/type_:SignerCountry'
        state:
          $ref: '#/components/schemas/type_:SignerState'
        zip:
          $ref: '#/components/schemas/type_:SignerZip'
        acceptance:
          $ref: '#/components/schemas/type_:SignerAcceptance'
        signedDocumentReference:
          $ref: '#/components/schemas/type_:SignedDocumentReference'
        pciAttestation:
          $ref: '#/components/schemas/type_:PciAttestation'
        attestationDate:
          $ref: '#/components/schemas/type_:AttestationDate'
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataMap'
        signDate:
          $ref: '#/components/schemas/type_:SignDate'
      description: Information about the application's signer.
      title: SignerDataRequest
    type_:Busstartdate:
      type: string
      description: |-
        Business start date. Accepted formats:
          
          - YYYY-MM-DD

          - MM/DD/YYYY
      title: Busstartdate
    type_:Taxfillname:
      type: string
      description: >-
        Business name in tax document. This is only relevant if a government
        entity has given you an alternative name to file tax documents with.
      title: Taxfillname
    type_:TemplateId:
      type: integer
      format: int64
      description: The associated boarding template's ID in Payabli.
      title: TemplateId
    type_:Ticketamt:
      type: number
      format: double
      description: >-
        The average transaction size that the business expects to process. For
        example, if you process \$10,000 a month across 10 transactions, that's
        an average ticket of \$1000.
      title: Ticketamt
    type_:Website:
      type: string
      description: >-
        The business website address. Include only the domain and TLD, do not
        enter the protocol (http/https). For example: `www.example.com` is
        acceptable.
      title: Website
    type_:Whencharged:
      type: string
      enum:
        - When Service Provided
        - In Advance
      description: >-
        Describes when customers are charged for goods or services. Accepted
        values:
      title: Whencharged
    type_:Whendelivered:
      type: string
      enum:
        - 0-7 Days
        - 8-14 Days
        - 15-30 Days
        - Over 30 Days
      description: When goods and services are delivered.
      title: Whendelivered
    type_:Whenprovided:
      type: string
      enum:
        - 30 Days or Less
        - 31 to 60 Days
        - 60+ Days
      description: Describes when goods or services are provided, from time of transaction.
      title: Whenprovided
    type_:Whenrefunded:
      type: string
      enum:
        - Exchange Only
        - No Refund or Exchange
        - More than 30 days
        - 30 Days or Less
      description: Describes the business refund policy.
      title: Whenrefunded
    type_:RepCode:
      type: string
      description: >-
        Sales representative code. This is an optional field that can be used to
        track the sales representative associated with the application.
      title: RepCode
    type_:RepName:
      type: string
      description: >-
        Sales representative name. This is an optional field that can be used to
        track the sales representative associated with the application.
      title: RepName
    type_:RepOffice:
      type: string
      description: >-
        Sales representative office location. This is an optional field that can
        be used to track the sales representative office associated with the
        application.
      title: RepOffice
    type_:OnCreate:
      type: string
      description: >-
        Action to take when the application is created. The only currently
        supported option is `submitApplication`. Use this when you have
        collected eSignature elsewhere or are adding additional locations for an
        applicant, or when you want to submit an application via API with one
        call without using the hosted boarding UI or embedded boarding
        components
      title: OnCreate
    type_:ApplicationDataPayIn:
      type: object
      properties:
        services:
          $ref: '#/components/schemas/type_:ApplicationDataPayInServices'
        annualRevenue:
          $ref: '#/components/schemas/type_:Annualrevenue'
        averageBillSize:
          $ref: '#/components/schemas/type_:BoardingAverageBillSize'
        averageMonthlyBill:
          $ref: '#/components/schemas/type_:BoardingAvgMonthlyBill'
        avgmonthly:
          $ref: '#/components/schemas/type_:Avgmonthly'
        baddress:
          $ref: '#/components/schemas/type_:Baddress1'
        baddress1:
          $ref: '#/components/schemas/type_:Baddress2'
        bankData:
          $ref: '#/components/schemas/type_:BankData'
        bcity:
          $ref: '#/components/schemas/type_:Bcity'
        bcountry:
          $ref: '#/components/schemas/type_:Bcountry'
        binperson:
          $ref: '#/components/schemas/type_:Binperson'
        binphone:
          $ref: '#/components/schemas/type_:Binphone'
        binweb:
          $ref: '#/components/schemas/type_:Binweb'
        boardingLinkId:
          type: string
          description: >-
            Boarding link ID for the application. Either `templateId` or
            `boardingLinkId` are required.
        bstate:
          $ref: '#/components/schemas/type_:Bstate'
        bsummary:
          $ref: '#/components/schemas/type_:Bsummary'
        btype:
          $ref: '#/components/schemas/type_:OwnType'
        bzip:
          $ref: '#/components/schemas/type_:Bzip'
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/type_:ApplicationDataPayInContactsItem'
          description: List of contacts for the business.
        creditLimit:
          type: string
          description: >-
            The maximum amount of credit that our lending partner has authorized
            to your business for Pay In processing. It's the upper boundary on
            how much you can spend or owe on a credit account at any given time.
            For on-demand payout (Pay Out) credit limits, see
            `payoutCreditLimit`.
        dbaName:
          $ref: '#/components/schemas/type_:Dbaname'
          description: >-
            The alternate or common name that this business is doing business
            under usually referred to as a DBA name. Payabli strongly recommends
            including this information.
        ein:
          $ref: '#/components/schemas/type_:Ein'
        externalpaypointID:
          $ref: '#/components/schemas/type_:ExternalPaypointId'
        faxnumber:
          $ref: '#/components/schemas/type_:FaxNumber'
          description: The business's fax number.
        highticketamt:
          $ref: '#/components/schemas/type_:Highticketamt'
        legalName:
          $ref: '#/components/schemas/type_:Legalname'
        license:
          $ref: '#/components/schemas/type_:License'
        licstate:
          $ref: '#/components/schemas/type_:Licensestate'
        maddress:
          $ref: '#/components/schemas/type_:Maddress'
        maddress1:
          $ref: '#/components/schemas/type_:Maddress1'
        mcc:
          $ref: '#/components/schemas/type_:Mcc'
        mcity:
          $ref: '#/components/schemas/type_:Mcity'
        mcountry:
          $ref: '#/components/schemas/type_:Mcountry'
        mstate:
          $ref: '#/components/schemas/type_:Mstate'
        mzip:
          $ref: '#/components/schemas/type_:Mzip'
        orgId:
          $ref: '#/components/schemas/type_:Orgid'
        ownership:
          type: array
          items:
            $ref: '#/components/schemas/type_:ApplicationDataPayInOwnershipItem'
          description: List of Owners with at least a 25% ownership.
        phonenumber:
          $ref: '#/components/schemas/type_:PhoneNumber'
          description: The business's phone number.
        processingRegion:
          type: string
          description: The business's processing region, either `US` or `CA`.
        recipientEmail:
          $ref: '#/components/schemas/type_:Email'
          description: >-
            Email address for the applicant. This is used to send the applicant
            a boarding link.
        recipientEmailNotification:
          $ref: '#/components/schemas/type_:RecipientEmailNotification'
        resumable:
          $ref: '#/components/schemas/type_:Resumable'
        signer:
          $ref: '#/components/schemas/type_:SignerDataRequest'
        startdate:
          $ref: '#/components/schemas/type_:Busstartdate'
        taxFillName:
          $ref: '#/components/schemas/type_:Taxfillname'
        templateId:
          $ref: '#/components/schemas/type_:TemplateId'
          description: >-
            The associated boarding template's ID in Payabli. Either
            `templateId` or `boardingLinkId` are required.
        ticketamt:
          $ref: '#/components/schemas/type_:Ticketamt'
        website:
          $ref: '#/components/schemas/type_:Website'
        whenCharged:
          $ref: '#/components/schemas/type_:Whencharged'
        whenDelivered:
          $ref: '#/components/schemas/type_:Whendelivered'
        whenProvided:
          $ref: '#/components/schemas/type_:Whenprovided'
        whenRefunded:
          $ref: '#/components/schemas/type_:Whenrefunded'
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataMap'
        RepCode:
          $ref: '#/components/schemas/type_:RepCode'
        RepName:
          $ref: '#/components/schemas/type_:RepName'
        RepOffice:
          $ref: '#/components/schemas/type_:RepOffice'
        onCreate:
          $ref: '#/components/schemas/type_:OnCreate'
      required:
        - services
        - bankData
        - phonenumber
        - processingRegion
        - signer
        - whenCharged
        - whenDelivered
        - whenProvided
        - whenRefunded
      description: Fields for Pay In boarding applications.
      title: ApplicationDataPayIn
    type_:FileContentFtype:
      type: string
      enum:
        - pdf
        - doc
        - docx
        - jpg
        - jpeg
        - png
        - gif
        - txt
      description: The MIME type of the file (if content is provided)
      title: FileContentFtype
    type_:FileContent:
      type: object
      properties:
        fContent:
          type: string
          description: >-
            Content of file, Base64-encoded. Ignored if furl is specified. Max
            upload size is 30 MB.
        filename:
          type: string
          description: The name of the attached file.
        ftype:
          $ref: '#/components/schemas/type_:FileContentFtype'
          description: The MIME type of the file (if content is provided)
        furl:
          type: string
          description: Optional URL provided to show or download the file remotely
      description: Contains details about a file. Max upload size is 30 MB.
      title: FileContent
    type_:Attachments:
      type: array
      items:
        $ref: '#/components/schemas/type_:FileContent'
      description: >-
        Array of `fileContent` objects with attached documents. Max upload size
        is 30 MB.
      title: Attachments
    type_:ApplicationDataManagedContactsItem:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Contact email address.
        contactName:
          type: string
          description: Contact name.
        contactPhone:
          type: string
          description: Contact phone number.
        contactTitle:
          type: string
          description: Contact title.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: ApplicationDataManagedContactsItem
    type_:BoardingBusinessFax:
      type: string
      description: The business's fax number.
      title: BoardingBusinessFax
    type_:ApplicationDataManagedOwnershipItem:
      type: object
      properties:
        ownername:
          type: string
          description: >-
            Person who is registered as the beneficial owner of the business.
            This is a combination of first and last name.
        ownertitle:
          type: string
          description: The job title of the person such as CEO or director.
        ownerpercent:
          type: integer
          description: Percentage of ownership the person holds, in integer format.
        ownerssn:
          type: string
          description: >-
            The relevant identifier for the person such as a Social Security
            Number.
        ownerdob:
          type: string
          description: Owner's date of birth.
        ownerphone1:
          type: string
          description: Owner phone 1.
        ownerphone2:
          type: string
          description: Owner phone 2.
        owneremail:
          $ref: '#/components/schemas/type_:Email'
          description: Owner email.
        ownerdriver:
          type: string
          description: >-
            Owner driver's license ID number. Payabli strongly recommends
            including this.
        oaddress:
          type: string
          description: >-
            Owner street address. This must be the physical address of the
            owner, not a P.O. box.
        ocity:
          type: string
          description: Owner address city.
        ocountry:
          type: string
          description: >-
            Owner address country in ISO-3166-1 alpha 2 format. Check out
            https://en.wikipedia.org/wiki/ISO_3166-1 for reference.
        odriverstate:
          type: string
          description: >-
            Owner driver's license State. Payabli strongly recommends including
            this.
        ostate:
          type: string
          description: Owner address state.
        ozip:
          type: string
          description: Owner address ZIP.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: ApplicationDataManagedOwnershipItem
    type_:BoardingBusinessPhone:
      type: string
      description: The business's phone number.
      title: BoardingBusinessPhone
    type_:ApplicationDataManaged:
      type: object
      properties:
        annualRevenue:
          $ref: '#/components/schemas/type_:Annualrevenue'
          description: Annual revenue amount. We recommend including this value.
        attachments:
          $ref: '#/components/schemas/type_:Attachments'
        baddress:
          $ref: '#/components/schemas/type_:Baddress1'
        baddress1:
          $ref: '#/components/schemas/type_:Baddress2'
        bankData:
          $ref: '#/components/schemas/type_:BankData'
        bcity:
          $ref: '#/components/schemas/type_:Bcity'
        bcountry:
          $ref: '#/components/schemas/type_:Bcountry'
        boardingLinkId:
          type: string
          description: >-
            Boarding link ID for the application. Either `templateId` or
            `boardingLinkId` are required.
        bstate:
          $ref: '#/components/schemas/type_:Bstate'
        bsummary:
          $ref: '#/components/schemas/type_:Bsummary'
        btype:
          $ref: '#/components/schemas/type_:OwnType'
        bzip:
          $ref: '#/components/schemas/type_:Bzip'
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/type_:ApplicationDataManagedContactsItem'
          description: List of contacts for the business.
        dbaname:
          $ref: '#/components/schemas/type_:Dbaname'
        ein:
          $ref: '#/components/schemas/type_:Ein'
        faxnumber:
          $ref: '#/components/schemas/type_:BoardingBusinessFax'
        legalname:
          $ref: '#/components/schemas/type_:Legalname'
        license:
          $ref: '#/components/schemas/type_:License'
        licstate:
          $ref: '#/components/schemas/type_:Licensestate'
        maddress:
          $ref: '#/components/schemas/type_:Maddress'
        maddress1:
          $ref: '#/components/schemas/type_:Maddress1'
        mcc:
          $ref: '#/components/schemas/type_:Mcc'
        mcity:
          $ref: '#/components/schemas/type_:Mcity'
        mcountry:
          $ref: '#/components/schemas/type_:Mcountry'
        mstate:
          $ref: '#/components/schemas/type_:Mstate'
        mzip:
          $ref: '#/components/schemas/type_:Mzip'
        orgId:
          $ref: '#/components/schemas/type_:Orgid'
        ownership:
          type: array
          items:
            $ref: '#/components/schemas/type_:ApplicationDataManagedOwnershipItem'
          description: List of Owners with at least a 25% ownership.
        phonenumber:
          $ref: '#/components/schemas/type_:BoardingBusinessPhone'
        recipientEmail:
          $ref: '#/components/schemas/type_:Email'
          description: >-
            Email address for the applicant. This is used to send the applicant
            a boarding link.
        recipientEmailNotification:
          $ref: '#/components/schemas/type_:RecipientEmailNotification'
        resumable:
          $ref: '#/components/schemas/type_:Resumable'
        signer:
          $ref: '#/components/schemas/type_:SignerDataRequest'
        startdate:
          $ref: '#/components/schemas/type_:Busstartdate'
        taxfillname:
          $ref: '#/components/schemas/type_:Taxfillname'
        templateId:
          $ref: '#/components/schemas/type_:TemplateId'
          description: >-
            The associated boarding template's ID in Payabli. Either
            `templateId` or `boardingLinkId` are required.
        website:
          $ref: '#/components/schemas/type_:Website'
        RepCode:
          $ref: '#/components/schemas/type_:RepCode'
        RepName:
          $ref: '#/components/schemas/type_:RepName'
        RepOffice:
          $ref: '#/components/schemas/type_:RepOffice'
        onCreate:
          $ref: '#/components/schemas/type_:OnCreate'
      required:
        - signer
      title: ApplicationDataManaged
    type_:AchSetup:
      type: object
      properties:
        acceptCCD:
          type: boolean
          description: >-
            CCD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Corporate Credit or Debit
            Entry. Options are: `true` and `false`
        acceptPPD:
          type: boolean
          description: >-
            PPD is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Prearranged Payment and
            Deposit.
        acceptWeb:
          type: boolean
          description: >-
            Web is an ACH SEC Code that can be used in ACH transactions by the
            user that indicates the transaction is a Internet Initiated/Mobile
            Entry Options are `true` and `false`.
      title: AchSetup
    type_:CardSetup:
      type: object
      properties:
        acceptAmex:
          type: boolean
          description: Determines whether American Express is accepted.
        acceptDiscover:
          type: boolean
          description: Determines whether Discover is accepted.
        acceptMastercard:
          type: boolean
          description: Determines whether Mastercard is accepted.
        acceptVisa:
          type: boolean
          description: Determines whether Visa is accepted.
      title: CardSetup
    type_:Services:
      type: object
      properties:
        ach:
          $ref: '#/components/schemas/type_:AchSetup'
        card:
          $ref: '#/components/schemas/type_:CardSetup'
        odp:
          $ref: '#/components/schemas/type_:OdpSetup'
      description: Controls which services will be enabled for the merchant.
      title: Services
    type_:ApplicationDataOdpContactsItem:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Contact email address.
        contactName:
          type: string
          description: Contact name.
        contactPhone:
          type: string
          description: Contact phone number.
        contactTitle:
          type: string
          description: Contact title.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: ApplicationDataOdpContactsItem
    type_:ApplicationDataOdpOwnershipItem:
      type: object
      properties:
        ownername:
          type: string
          description: >-
            Person who is registered as the beneficial owner of the business.
            This is a combination of first and last name.
        ownertitle:
          type: string
          description: The job title of the person such as CEO or director.
        ownerpercent:
          type: integer
          description: Percentage of ownership the person holds, in integer format.
        ownerssn:
          type: string
          description: >-
            The relevant identifier for the person such as a Social Security
            Number.
        ownerdob:
          type: string
          description: Owner's date of birth.
        ownerphone1:
          type: string
          description: Owner phone 1.
        ownerphone2:
          type: string
          description: Owner phone 2.
        owneremail:
          $ref: '#/components/schemas/type_:Email'
          description: Owner email.
        ownerdriver:
          type: string
          description: >-
            Owner driver's license ID number. Payabli strongly recommends
            including this.
        oaddress:
          type: string
          description: >-
            Owner street address. This must be the physical address of the
            owner, not a P.O. box.
        ocity:
          type: string
          description: Owner address city.
        ocountry:
          type: string
          description: >-
            Owner address country in ISO-3166-1 alpha 2 format. Check out
            https://en.wikipedia.org/wiki/ISO_3166-1 for reference.
        odriverstate:
          type: string
          description: >-
            Owner driver's license State. Payabli strongly recommends including
            this.
        ostate:
          type: string
          description: Owner address state.
        ozip:
          type: string
          description: Owner address ZIP.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: ApplicationDataOdpOwnershipItem
    type_:PayoutAverageMonthlyVolume:
      type: number
      format: double
      description: >-
        The total number of bills the business pays each month. For example, if
        your business pays an electric bill of \$500, an internet bill of \$150,
        and various suppliers \$5,000 every month then your monthly bill volume
        would be \$5,650.
      title: PayoutAverageMonthlyVolume
    type_:PayoutAverageTicketLimit:
      type: number
      format: double
      description: >-
        The average amount of each bill you pay through our service. For
        example, if your business paid 3 bills for a total of \$1,500 then your
        average bill size is \$500.
      title: PayoutAverageTicketLimit
    type_:PayoutCreditLimit:
      type: number
      format: double
      description: >-
        The maximum amount of credit that our lending partner has authorized to
        the business for on-demand payouts. It's the upper boundary on how much
        you can spend or owe on a credit account at any given time.
      title: PayoutCreditLimit
    type_:PayoutHighTicketAmount:
      type: number
      format: double
      description: >-
        The largest amount for bill you will pay through our service. For
        example, if your business paid for 3 bills each month for \$500, \$1000,
        and \$5000 respectively, then your highest ticket is \$5000.
      title: PayoutHighTicketAmount
    type_:ApplicationDataOdp:
      type: object
      properties:
        services:
          $ref: '#/components/schemas/type_:Services'
        annualRevenue:
          $ref: '#/components/schemas/type_:Annualrevenue'
          description: Annual revenue amount. We recommend including this value.
        attachments:
          $ref: '#/components/schemas/type_:Attachments'
        baddress:
          $ref: '#/components/schemas/type_:Baddress1'
        baddress1:
          $ref: '#/components/schemas/type_:Baddress2'
        bankData:
          $ref: '#/components/schemas/type_:BankData'
        bcity:
          $ref: '#/components/schemas/type_:Bcity'
        bcountry:
          $ref: '#/components/schemas/type_:Bcountry'
        boardingLinkId:
          type: string
          description: >-
            Boarding link ID for the application. Either `templateId` or
            `boardingLinkId` are required.
        bstate:
          $ref: '#/components/schemas/type_:Bstate'
        bsummary:
          $ref: '#/components/schemas/type_:Bsummary'
        btype:
          $ref: '#/components/schemas/type_:OwnType'
        bzip:
          $ref: '#/components/schemas/type_:Bzip'
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/type_:ApplicationDataOdpContactsItem'
          description: List of contacts for the business.
        dbaname:
          $ref: '#/components/schemas/type_:Dbaname'
        ein:
          $ref: '#/components/schemas/type_:Ein'
        faxnumber:
          $ref: '#/components/schemas/type_:BoardingBusinessFax'
        highticketamt:
          $ref: '#/components/schemas/type_:Highticketamt'
        legalname:
          $ref: '#/components/schemas/type_:Legalname'
        license:
          $ref: '#/components/schemas/type_:License'
        licstate:
          $ref: '#/components/schemas/type_:Licensestate'
        maddress:
          $ref: '#/components/schemas/type_:Maddress'
        maddress1:
          $ref: '#/components/schemas/type_:Maddress1'
        mcc:
          $ref: '#/components/schemas/type_:Mcc'
        mcity:
          $ref: '#/components/schemas/type_:Mcity'
        mcountry:
          $ref: '#/components/schemas/type_:Mcountry'
        mstate:
          $ref: '#/components/schemas/type_:Mstate'
        mzip:
          $ref: '#/components/schemas/type_:Mzip'
        orgId:
          $ref: '#/components/schemas/type_:Orgid'
        ownership:
          type: array
          items:
            $ref: '#/components/schemas/type_:ApplicationDataOdpOwnershipItem'
          description: List of Owners with at least a 25% ownership.
        payoutAverageMonthlyVolume:
          $ref: '#/components/schemas/type_:PayoutAverageMonthlyVolume'
        payoutAverageTicketAmount:
          $ref: '#/components/schemas/type_:PayoutAverageTicketLimit'
        payoutCreditLimit:
          $ref: '#/components/schemas/type_:PayoutCreditLimit'
        payoutHighTicketAmount:
          $ref: '#/components/schemas/type_:PayoutHighTicketAmount'
        phonenumber:
          $ref: '#/components/schemas/type_:BoardingBusinessPhone'
        recipientEmail:
          $ref: '#/components/schemas/type_:Email'
          description: >-
            Email address for the applicant. This is used to send the applicant
            a boarding link.
        recipientEmailNotification:
          $ref: '#/components/schemas/type_:RecipientEmailNotification'
        resumable:
          $ref: '#/components/schemas/type_:Resumable'
        signer:
          $ref: '#/components/schemas/type_:SignerDataRequest'
        startdate:
          $ref: '#/components/schemas/type_:Busstartdate'
        taxfillname:
          $ref: '#/components/schemas/type_:Taxfillname'
        templateId:
          $ref: '#/components/schemas/type_:TemplateId'
          description: >-
            The associated boarding template's ID in Payabli. Either
            `templateId` or `boardingLinkId` are required.
        website:
          $ref: '#/components/schemas/type_:Website'
        RepCode:
          $ref: '#/components/schemas/type_:RepCode'
        RepName:
          $ref: '#/components/schemas/type_:RepName'
        RepOffice:
          $ref: '#/components/schemas/type_:RepOffice'
        onCreate:
          $ref: '#/components/schemas/type_:OnCreate'
      required:
        - payoutAverageMonthlyVolume
        - payoutAverageTicketAmount
        - payoutCreditLimit
        - payoutHighTicketAmount
        - signer
      title: ApplicationDataOdp
    type_:Contacts:
      type: object
      properties:
        contactEmail:
          $ref: '#/components/schemas/type_:Email'
          description: Contact email address.
        contactName:
          type: string
          description: Contact name.
        contactPhone:
          type: string
          description: Contact phone number.
        contactTitle:
          type: string
          description: Contact title.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: Contacts
    type_:ContactsField:
      type: array
      items:
        $ref: '#/components/schemas/type_:Contacts'
      description: List of contacts.
      title: ContactsField
    type_:Owners:
      type: object
      properties:
        ownername:
          type: string
          description: >-
            Person who is registered as the beneficial owner of the business.
            This is a combination of first and last name.
        ownertitle:
          type: string
          description: The job title of the person such as CEO or director.
        ownerpercent:
          type: integer
          description: Percentage of ownership the person holds, in integer format.
        ownerssn:
          type: string
          description: >-
            The relevant identifier for the person such as a Social Security
            Number.
        ownerdob:
          type: string
          description: Owner's date of birth.
        ownerphone1:
          type: string
          description: Owner phone 1.
        ownerphone2:
          type: string
          description: Owner phone 2.
        owneremail:
          $ref: '#/components/schemas/type_:Email'
          description: Owner email.
        ownerdriver:
          type: string
          description: >-
            Owner driver's license ID number. Payabli strongly recommends
            including this.
        oaddress:
          type: string
          description: >-
            Owner street address. This must be the physical address of the
            owner, not a P.O. box.
        ocity:
          type: string
          description: Owner address city.
        ocountry:
          type: string
          description: >-
            Owner address country in ISO-3166-1 alpha 2 format. Check out
            https://en.wikipedia.org/wiki/ISO_3166-1 for reference.
        odriverstate:
          type: string
          description: >-
            Owner driver's license State. Payabli strongly recommends including
            this.
        ostate:
          type: string
          description: Owner address state.
        ozip:
          type: string
          description: Owner address ZIP.
        additionalData:
          $ref: '#/components/schemas/type_:AdditionalDataString'
      title: Owners
    type_:Ownership:
      type: array
      items:
        $ref: '#/components/schemas/type_:Owners'
      description: List of Owners with at least a 25% ownership.
      title: Ownership
    type_:ApplicationData:
      type: object
      properties:
        services:
          $ref: '#/components/schemas/type_:Services'
        annualRevenue:
          $ref: '#/components/schemas/type_:Annualrevenue'
        attachments:
          $ref: '#/components/schemas/type_:Attachments'
        avgmonthly:
          $ref: '#/components/schemas/type_:Avgmonthly'
        baddress:
          $ref: '#/components/schemas/type_:Baddress1'
        baddress1:
          $ref: '#/components/schemas/type_:Baddress2'
        bankData:
          $ref: '#/components/schemas/type_:BankData'
        bcity:
          $ref: '#/components/schemas/type_:Bcity'
        bcountry:
          $ref: '#/components/schemas/type_:Bcountry'
        binperson:
          $ref: '#/components/schemas/type_:Binperson'
        binphone:
          $ref: '#/components/schemas/type_:Binphone'
        binweb:
          $ref: '#/components/schemas/type_:Binweb'
        bstate:
          $ref: '#/components/schemas/type_:Bstate'
        bsummary:
          $ref: '#/components/schemas/type_:Bsummary'
        btype:
          $ref: '#/components/schemas/type_:OwnType'
        bzip:
          $ref: '#/components/schemas/type_:Bzip'
        contacts:
          $ref: '#/components/schemas/type_:ContactsField'
        dbaname:
          $ref: '#/components/schemas/type_:Dbaname'
        ein:
          $ref: '#/components/schemas/type_:Ein'
        externalPaypointId:
          $ref: '#/components/schemas/type_:ExternalPaypointId'
        faxnumber:
          $ref: '#/components/schemas/type_:BoardingBusinessFax'
        highticketamt:
          $ref: '#/components/schemas/type_:Highticketamt'
        legalname:
          $ref: '#/components/schemas/type_:Legalname'
        license:
          $ref: '#/components/schemas/type_:License'
        licstate:
          $ref: '#/components/schemas/type_:Licensestate'
        maddress:
          $ref: '#/components/schemas/type_:Maddress'
        maddress1:
          $ref: '#/components/schemas/type_:Maddress1'
        mcc:
          $ref: '#/components/schemas/type_:Mcc'
        mcity:
          $ref: '#/components/schemas/type_:Mcity'
        mcountry:
          $ref: '#/components/schemas/type_:Mcountry'
        mstate:
          $ref: '#/components/schemas/type_:Mstate'
        mzip:
          $ref: '#/components/schemas/type_:Mzip'
        orgId:
          $ref: '#/components/schemas/type_:Orgid'
        ownership:
          $ref: '#/components/schemas/type_:Ownership'
        payoutAverageMonthlyVolume:
          $ref: '#/components/schemas/type_:PayoutAverageMonthlyVolume'
        payoutAverageTicketLimit:
          $ref: '#/components/schemas/type_:PayoutAverageTicketLimit'
        payoutCreditLimit:
          $ref: '#/components/schemas/type_:PayoutCreditLimit'
        payoutHighTicketAmount:
          $ref: '#/components/schemas/type_:PayoutHighTicketAmount'
        phonenumber:
          $ref: '#/components/schemas/type_:BoardingBusinessPhone'
        recipientEmail:
          $ref: '#/components/schemas/type_:Email'
          description: >-
            Email address for the applicant. This is used to send the applicant
            a boarding link.
        recipientEmailNotification:
          $ref: '#/components/schemas/type_:RecipientEmailNotification'
        resumable:
          $ref: '#/components/schemas/type_:Resumable'
        signer:
          $ref: '#/components/schemas/type_:SignerDataRequest'
        startdate:
          $ref: '#/components/schemas/type_:Busstartdate'
        taxfillname:
          $ref: '#/components/schemas/type_:Taxfillname'
        templateId:
          $ref: '#/components/schemas/type_:TemplateId'
        ticketamt:
          $ref: '#/components/schemas/type_:Ticketamt'
        website:
          $ref: '#/components/schemas/type_:Website'
        whenCharged:
          $ref: '#/components/schemas/type_:Whencharged'
        whenDelivered:
          $ref: '#/components/schemas/type_:Whendelivered'
        whenProvided:
          $ref: '#/components/schemas/type_:Whenprovided'
        whenRefunded:
          $ref: '#/components/schemas/type_:Whenrefunded'
        RepCode:
          $ref: '#/components/schemas/type_:RepCode'
        RepName:
          $ref: '#/components/schemas/type_:RepName'
        RepOffice:
          $ref: '#/components/schemas/type_:RepOffice'
        onCreate:
          $ref: '#/components/schemas/type_:OnCreate'
      title: ApplicationData
    type_boarding:AddApplicationRequest:
      oneOf:
        - $ref: '#/components/schemas/type_:ApplicationDataPayIn'
        - $ref: '#/components/schemas/type_:ApplicationDataManaged'
        - $ref: '#/components/schemas/type_:ApplicationDataOdp'
        - $ref: '#/components/schemas/type_:ApplicationData'
      title: AddApplicationRequest
    type_:Responsecode:
      type: integer
      description: >-
        Code for the response. Learn more in [API Response
        Codes](/developers/api-reference/api-responses).
      title: Responsecode
    type_:PageIdentifier:
      type: string
      description: Auxiliary validation used internally by payment pages and components.
      title: PageIdentifier
    type_:IsSuccess:
      type: boolean
      description: >-
        Boolean indicating whether the operation was successful. A `true` value
        indicates success. A `false` value indicates failure.
      title: IsSuccess
    type_:ResponseText:
      type: string
      description: 'Response text for operation: ''Success'' or ''Declined''.'
      title: ResponseText
    type_:Responsedatanonobject:
      oneOf:
        - type: string
        - type: integer
      description: The response data.
      title: Responsedatanonobject
    type_:PayabliApiResponse00Responsedatanonobject:
      type: object
      properties:
        responseCode:
          $ref: '#/components/schemas/type_:Responsecode'
        pageIdentifier:
          $ref: '#/components/schemas/type_:PageIdentifier'
        roomId:
          type: integer
          format: int64
          description: >-
            Describes the room ID. Only in use on Boarding endpoints, returns
            `0` when not applicable.
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
        responseData:
          $ref: '#/components/schemas/type_:Responsedatanonobject'
      required:
        - responseText
      title: PayabliApiResponse00Responsedatanonobject
    type_:Responsedata:
      type: object
      additionalProperties:
        description: Any type
      description: The object containing the response data.
      title: Responsedata
    type_:PayabliApiResponse:
      type: object
      properties:
        isSuccess:
          $ref: '#/components/schemas/type_:IsSuccess'
        responseData:
          $ref: '#/components/schemas/type_:Responsedata'
        responseText:
          $ref: '#/components/schemas/type_:ResponseText'
      required:
        - responseText
      title: PayabliApiResponse
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: requestToken

```

## SDK Code Examples

```typescript PayIn
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.boarding.addApplication({
        services: {
            ach: {},
            card: {
                acceptAmex: true,
                acceptDiscover: true,
                acceptMastercard: true,
                acceptVisa: true,
            },
        },
        annualRevenue: 1000,
        averageBillSize: "500",
        averageMonthlyBill: "5650",
        avgmonthly: 1000,
        baddress: "123 Walnut Street",
        baddress1: "Suite 103",
        bankData: [
            {
                accountNumber: "123123123",
                bankAccountFunction: 1,
                bankAccountHolderName: "Gruzya Adventure Outfitters LLC",
                bankAccountHolderType: "Business",
                bankName: "Test Bank",
                nickname: "Withdrawal Account",
                routingAccount: "123123123",
                typeAccount: "Checking",
                accountId: "123-456",
            },
            {
                accountNumber: "123123123",
                bankAccountFunction: 0,
                bankAccountHolderName: "Gruzya Adventure Outfitters LLC",
                bankAccountHolderType: "Business",
                bankName: "Test Bank",
                nickname: "Deposit Account",
                routingAccount: "123123123",
                typeAccount: "Checking",
                accountId: "123-456",
            },
        ],
        bcity: "New Vegas",
        bcountry: "US",
        binperson: 60,
        binphone: 20,
        binweb: 20,
        bstate: "FL",
        bsummary: "Brick and mortar store that sells office supplies",
        btype: "Limited Liability Company",
        bzip: "33000",
        contacts: [
            {
                contactEmail: "herman@hermanscoatings.com",
                contactName: "Herman Martinez",
                contactPhone: "3055550000",
                contactTitle: "Owner",
            },
        ],
        creditLimit: "creditLimit",
        dbaName: "Sunshine Gutters",
        ein: "123456789",
        faxnumber: "1234567890",
        highticketamt: 1000,
        legalName: "Sunshine Services, LLC",
        license: "2222222FFG",
        licstate: "CA",
        maddress: "123 Walnut Street",
        maddress1: "STE 900",
        mcc: "7777",
        mcity: "Johnson City",
        mcountry: "US",
        mstate: "TN",
        mzip: "37615",
        orgId: 123,
        ownership: [
            {
                oaddress: "33 North St",
                ocity: "Any City",
                ocountry: "US",
                odriverstate: "CA",
                ostate: "CA",
                ownerdob: "01/01/1990",
                ownerdriver: "CA6677778",
                owneremail: "test@email.com",
                ownername: "John Smith",
                ownerpercent: 100,
                ownerphone1: "555888111",
                ownerphone2: "555888111",
                ownerssn: "123456789",
                ownertitle: "CEO",
                ozip: "55555",
            },
        ],
        phonenumber: "1234567890",
        processingRegion: "US",
        recipientEmail: "josephray@example.com",
        recipientEmailNotification: true,
        resumable: true,
        signer: {
            address: "33 North St",
            address1: "STE 900",
            city: "Bristol",
            country: "US",
            dob: "01/01/1976",
            email: "test@email.com",
            name: "John Smith",
            phone: "555888111",
            ssn: "123456789",
            state: "TN",
            zip: "55555",
            pciAttestation: true,
            signedDocumentReference: "https://example.com/signed-document.pdf",
            attestationDate: "04/20/2025",
            signDate: "04/20/2025",
            additionalData: {
                "deviceId": "499585-389fj484-3jcj8hj3",
                "session": "fifji4-fiu443-fn4843",
                "timeWithCompany": "6 Years",
            },
        },
        startdate: "01/01/1990",
        taxFillName: "Sunshine LLC",
        templateId: 22,
        ticketamt: 1000,
        website: "www.example.com",
        whenCharged: "When Service Provided",
        whenDelivered: "Over 30 Days",
        whenProvided: "30 Days or Less",
        whenRefunded: "30 Days or Less",
    });
}
main();

```

```python PayIn
from payabli import payabli, ApplicationDataPayIn, ApplicationDataPayInServices, ApplicationDataPayInServicesAch, ApplicationDataPayInServicesCard, Bank, ApplicationDataPayInContactsItem, ApplicationDataPayInOwnershipItem, SignerDataRequest

client = payabli(
    api_key="YOUR_API_KEY_HERE",
)

client.boarding.add_application(
    request=ApplicationDataPayIn(
        services=ApplicationDataPayInServices(
            ach=ApplicationDataPayInServicesAch(),
            card=ApplicationDataPayInServicesCard(
                accept_amex=True,
                accept_discover=True,
                accept_mastercard=True,
                accept_visa=True,
            ),
        ),
        annual_revenue=1000,
        average_bill_size="500",
        average_monthly_bill="5650",
        avgmonthly=1000,
        baddress="123 Walnut Street",
        baddress_1="Suite 103",
        bank_data=[
            Bank(
                account_number="123123123",
                bank_account_function=1,
                bank_account_holder_name="Gruzya Adventure Outfitters LLC",
                bank_account_holder_type="Business",
                bank_name="Test Bank",
                nickname="Withdrawal Account",
                routing_account="123123123",
                type_account="Checking",
                account_id="123-456",
            ),
            Bank(
                account_number="123123123",
                bank_account_function=0,
                bank_account_holder_name="Gruzya Adventure Outfitters LLC",
                bank_account_holder_type="Business",
                bank_name="Test Bank",
                nickname="Deposit Account",
                routing_account="123123123",
                type_account="Checking",
                account_id="123-456",
            )
        ],
        bcity="New Vegas",
        bcountry="US",
        binperson=60,
        binphone=20,
        binweb=20,
        bstate="FL",
        bsummary="Brick and mortar store that sells office supplies",
        btype="Limited Liability Company",
        bzip="33000",
        contacts=[
            ApplicationDataPayInContactsItem(
                contact_email="herman@hermanscoatings.com",
                contact_name="Herman Martinez",
                contact_phone="3055550000",
                contact_title="Owner",
            )
        ],
        credit_limit="creditLimit",
        dba_name="Sunshine Gutters",
        ein="123456789",
        faxnumber="1234567890",
        highticketamt=1000,
        legal_name="Sunshine Services, LLC",
        license="2222222FFG",
        licstate="CA",
        maddress="123 Walnut Street",
        maddress_1="STE 900",
        mcc="7777",
        mcity="Johnson City",
        mcountry="US",
        mstate="TN",
        mzip="37615",
        org_id=123,
        ownership=[
            ApplicationDataPayInOwnershipItem(
                oaddress="33 North St",
                ocity="Any City",
                ocountry="US",
                odriverstate="CA",
                ostate="CA",
                ownerdob="01/01/1990",
                ownerdriver="CA6677778",
                owneremail="test@email.com",
                ownername="John Smith",
                ownerpercent=100,
                ownerphone_1="555888111",
                ownerphone_2="555888111",
                ownerssn="123456789",
                ownertitle="CEO",
                ozip="55555",
            )
        ],
        phonenumber="1234567890",
        processing_region="US",
        recipient_email="josephray@example.com",
        recipient_email_notification=True,
        resumable=True,
        signer=SignerDataRequest(
            address="33 North St",
            address_1="STE 900",
            city="Bristol",
            country="US",
            dob="01/01/1976",
            email="test@email.com",
            name="John Smith",
            phone="555888111",
            ssn="123456789",
            state="TN",
            zip="55555",
            pci_attestation=True,
            signed_document_reference="https://example.com/signed-document.pdf",
            attestation_date="04/20/2025",
            sign_date="04/20/2025",
            additional_data={
                "deviceId": "499585-389fj484-3jcj8hj3",
                "session": "fifji4-fiu443-fn4843",
                "timeWithCompany": "6 Years"
            },
        ),
        startdate="01/01/1990",
        tax_fill_name="Sunshine LLC",
        template_id=22,
        ticketamt=1000,
        website="www.example.com",
        when_charged="When Service Provided",
        when_delivered="Over 30 Days",
        when_provided="30 Days or Less",
        when_refunded="30 Days or Less",
    ),
)

```

```java PayIn
package com.example.usage;

import io.github.payabli.api.PayabliPayabliApiClient;
import io.github.payabli.api.resources.boarding.types.AddApplicationRequest;
import io.github.payabli.api.types.ApplicationDataPayIn;
import io.github.payabli.api.types.ApplicationDataPayInContactsItem;
import io.github.payabli.api.types.ApplicationDataPayInOwnershipItem;
import io.github.payabli.api.types.ApplicationDataPayInServices;
import io.github.payabli.api.types.ApplicationDataPayInServicesAch;
import io.github.payabli.api.types.ApplicationDataPayInServicesCard;
import io.github.payabli.api.types.Bank;
import io.github.payabli.api.types.BankAccountHolderType;
import io.github.payabli.api.types.OwnType;
import io.github.payabli.api.types.SignerDataRequest;
import io.github.payabli.api.types.TypeAccount;
import io.github.payabli.api.types.Whencharged;
import io.github.payabli.api.types.Whendelivered;
import io.github.payabli.api.types.Whenprovided;
import io.github.payabli.api.types.Whenrefunded;
import java.util.Arrays;
import java.util.HashMap;
import java.util.Optional;

public class Example {
    public static void main(String[] args) {
        PayabliPayabliApiClient client = PayabliPayabliApiClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.boarding().addApplication(
            AddApplicationRequest.of(
                ApplicationDataPayIn
                    .builder()
                    .services(
                        ApplicationDataPayInServices
                            .builder()
                            .ach(
                                ApplicationDataPayInServicesAch
                                    .builder()
                                    .build()
                            )
                            .card(
                                ApplicationDataPayInServicesCard
                                    .builder()
                                    .acceptAmex(Optional.of(true))
                                    .acceptDiscover(Optional.of(true))
                                    .acceptMastercard(Optional.of(true))
                                    .acceptVisa(Optional.of(true))
                                    .build()
                            )
                            .build()
                    )
                    .phonenumber("1234567890")
                    .processingRegion("US")
                    .signer(
                        SignerDataRequest
                            .builder()
                            .name(Optional.of("John Smith"))
                            .ssn(Optional.of("123456789"))
                            .dob(Optional.of("01/01/1976"))
                            .phone(Optional.of("555888111"))
                            .email(Optional.of("test@email.com"))
                            .address(Optional.of("33 North St"))
                            .address1(Optional.of("STE 900"))
                            .city(Optional.of("Bristol"))
                            .country(Optional.of("US"))
                            .state(Optional.of("TN"))
                            .zip(Optional.of("55555"))
                            .signedDocumentReference(Optional.of("https://example.com/signed-document.pdf"))
                            .pciAttestation(Optional.of(true))
                            .attestationDate(Optional.of("04/20/2025"))
                            .additionalData(
                                Optional.of(
                                    new HashMap<String, String>() {{
                                        put("deviceId", "499585-389fj484-3jcj8hj3");
                                        put("session", "fifji4-fiu443-fn4843");
                                        put("timeWithCompany", "6 Years");
                                    }}
                                )
                            )
                            .signDate(Optional.of("04/20/2025"))
                            .build()
                    )
                    .whenCharged(Whencharged.WHEN_SERVICE_PROVIDED)
                    .whenDelivered(Whendelivered.OVER_30_DAYS)
                    .whenProvided(Whenprovided.THIRTY_DAYS_OR_LESS)
                    .whenRefunded(Whenrefunded.THIRTY_DAYS_OR_LESS)
                    .annualRevenue(Optional.of(1000.0))
                    .averageBillSize(Optional.of("500"))
                    .averageMonthlyBill(Optional.of("5650"))
                    .avgmonthly(Optional.of(1000.0))
                    .baddress(Optional.of("123 Walnut Street"))
                    .baddress1(Optional.of("Suite 103"))
                    .bankData(
                        Arrays.asList(
                            Bank
                                .builder()
                                .accountId("123-456")
                                .nickname("Withdrawal Account")
                                .bankName("Test Bank")
                                .routingAccount("123123123")
                                .accountNumber("123123123")
                                .typeAccount(TypeAccount.CHECKING)
                                .bankAccountHolderName("Gruzya Adventure Outfitters LLC")
                                .bankAccountHolderType(BankAccountHolderType.BUSINESS)
                                .bankAccountFunction(1)
                                .build(),
                            Bank
                                .builder()
                                .accountId("123-456")
                                .nickname("Deposit Account")
                                .bankName("Test Bank")
                                .routingAccount("123123123")
                                .accountNumber("123123123")
                                .typeAccount(TypeAccount.CHECKING)
                                .bankAccountHolderName("Gruzya Adventure Outfitters LLC")
                                .bankAccountHolderType(BankAccountHolderType.BUSINESS)
                                .bankAccountFunction(0)
                                .build()
                        )
                    )
                    .bcity(Optional.of("New Vegas"))
                    .bcountry(Optional.of("US"))
                    .binperson(Optional.of(60))
                    .binphone(Optional.of(20))
                    .binweb(Optional.of(20))
                    .bstate(Optional.of("FL"))
                    .bsummary(Optional.of("Brick and mortar store that sells office supplies"))
                    .btype(Optional.of(OwnType.LIMITED_LIABILITY_COMPANY))
                    .bzip(Optional.of("33000"))
                    .contacts(
                        Optional.of(
                            Arrays.asList(
                                ApplicationDataPayInContactsItem
                                    .builder()
                                    .contactEmail("herman@hermanscoatings.com")
                                    .contactName("Herman Martinez")
                                    .contactPhone("3055550000")
                                    .contactTitle("Owner")
                                    .build()
                            )
                        )
                    )
                    .creditLimit(Optional.of("creditLimit"))
                    .dbaName(Optional.of("Sunshine Gutters"))
                    .ein(Optional.of("123456789"))
                    .faxnumber(Optional.of("1234567890"))
                    .highticketamt(Optional.of(1000.0))
                    .legalName(Optional.of("Sunshine Services, LLC"))
                    .license(Optional.of("2222222FFG"))
                    .licstate(Optional.of("CA"))
                    .maddress(Optional.of("123 Walnut Street"))
                    .maddress1(Optional.of("STE 900"))
                    .mcc(Optional.of("7777"))
                    .mcity(Optional.of("Johnson City"))
                    .mcountry(Optional.of("US"))
                    .mstate(Optional.of("TN"))
                    .mzip(Optional.of("37615"))
                    .orgId(Optional.of(123L))
                    .ownership(
                        Optional.of(
                            Arrays.asList(
                                ApplicationDataPayInOwnershipItem
                                    .builder()
                                    .ownername("John Smith")
                                    .ownertitle("CEO")
                                    .ownerpercent(100)
                                    .ownerssn("123456789")
                                    .ownerdob("01/01/1990")
                                    .ownerphone1("555888111")
                                    .ownerphone2("555888111")
                                    .owneremail("test@email.com")
                                    .ownerdriver("CA6677778")
                                    .oaddress("33 North St")
                                    .ocity("Any City")
                                    .ocountry("US")
                                    .odriverstate("CA")
                                    .ostate("CA")
                                    .ozip("55555")
                                    .build()
                            )
                        )
                    )
                    .recipientEmail(Optional.of("josephray@example.com"))
                    .recipientEmailNotification(Optional.of(true))
                    .resumable(Optional.of(true))
                    .startdate(Optional.of("01/01/1990"))
                    .taxFillName(Optional.of("Sunshine LLC"))
                    .templateId(Optional.of(22L))
                    .ticketamt(Optional.of(1000.0))
                    .website(Optional.of("www.example.com"))
                    .build()
            )
        );
    }
}
```

```ruby PayIn
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.boarding.add_application(
  services: {
    ach: {},
    card: {
      accept_amex: true,
      accept_discover: true,
      accept_mastercard: true,
      accept_visa: true
    }
  },
  annual_revenue: 1000,
  average_bill_size: "500",
  average_monthly_bill: "5650",
  avgmonthly: 1000,
  baddress: "123 Walnut Street",
  baddress_1: "Suite 103",
  bank_data: [{
    account_number: "123123123",
    bank_account_function: 1,
    bank_account_holder_name: "Gruzya Adventure Outfitters LLC",
    bank_account_holder_type: "Business",
    bank_name: "Test Bank",
    nickname: "Withdrawal Account",
    routing_account: "123123123",
    type_account: "Checking",
    account_id: "123-456"
  }, {
    account_number: "123123123",
    bank_account_function: 0,
    bank_account_holder_name: "Gruzya Adventure Outfitters LLC",
    bank_account_holder_type: "Business",
    bank_name: "Test Bank",
    nickname: "Deposit Account",
    routing_account: "123123123",
    type_account: "Checking",
    account_id: "123-456"
  }],
  bcity: "New Vegas",
  bcountry: "US",
  binperson: 60,
  binphone: 20,
  binweb: 20,
  bstate: "FL",
  bsummary: "Brick and mortar store that sells office supplies",
  btype: "Limited Liability Company",
  bzip: "33000",
  contacts: [{
    contact_email: "herman@hermanscoatings.com",
    contact_name: "Herman Martinez",
    contact_phone: "3055550000",
    contact_title: "Owner"
  }],
  credit_limit: "creditLimit",
  dba_name: "Sunshine Gutters",
  ein: "123456789",
  faxnumber: "1234567890",
  highticketamt: 1000,
  legal_name: "Sunshine Services, LLC",
  license: "2222222FFG",
  licstate: "CA",
  maddress: "123 Walnut Street",
  maddress_1: "STE 900",
  mcc: "7777",
  mcity: "Johnson City",
  mcountry: "US",
  mstate: "TN",
  mzip: "37615",
  org_id: 123,
  ownership: [{
    oaddress: "33 North St",
    ocity: "Any City",
    ocountry: "US",
    odriverstate: "CA",
    ostate: "CA",
    ownerdob: "01/01/1990",
    ownerdriver: "CA6677778",
    owneremail: "test@email.com",
    ownername: "John Smith",
    ownerpercent: 100,
    ownerphone_1: "555888111",
    ownerphone_2: "555888111",
    ownerssn: "123456789",
    ownertitle: "CEO",
    ozip: "55555"
  }],
  phonenumber: "1234567890",
  processing_region: "US",
  recipient_email: "josephray@example.com",
  recipient_email_notification: true,
  resumable: true,
  signer: {
    address: "33 North St",
    address_1: "STE 900",
    city: "Bristol",
    country: "US",
    dob: "01/01/1976",
    email: "test@email.com",
    name: "John Smith",
    phone: "555888111",
    ssn: "123456789",
    state: "TN",
    zip: "55555",
    pci_attestation: true,
    signed_document_reference: "https://example.com/signed-document.pdf",
    attestation_date: "04/20/2025",
    sign_date: "04/20/2025",
    additional_data: {
      deviceId: "499585-389fj484-3jcj8hj3",
      session: "fifji4-fiu443-fn4843",
      timeWithCompany: "6 Years"
    }
  },
  startdate: "01/01/1990",
  tax_fill_name: "Sunshine LLC",
  template_id: 22,
  ticketamt: 1000,
  website: "www.example.com",
  when_charged: "When Service Provided",
  when_delivered: "Over 30 Days",
  when_provided: "30 Days or Less",
  when_refunded: "30 Days or Less"
)

```

```csharp PayIn
using PayabliPayabliApi;
using System.Threading.Tasks;
using System.Collections.Generic;

namespace Usage;

public class Example
{
    public async Task Do() {
        var client = new PayabliPayabliApiClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Boarding.AddApplicationAsync(
            new ApplicationDataPayIn {
                Services = new ApplicationDataPayInServices {
                    Ach = new ApplicationDataPayInServicesAch(),
                    Card = new ApplicationDataPayInServicesCard {
                        AcceptAmex = true,
                        AcceptDiscover = true,
                        AcceptMastercard = true,
                        AcceptVisa = true
                    }
                },
                AnnualRevenue = 1000,
                AverageBillSize = "500",
                AverageMonthlyBill = "5650",
                Avgmonthly = 1000,
                Baddress = "123 Walnut Street",
                Baddress1 = "Suite 103",
                BankData = new List<Bank>(){
                    new Bank {
                        AccountNumber = "123123123",
                        BankAccountFunction = 1,
                        BankAccountHolderName = "Gruzya Adventure Outfitters LLC",
                        BankAccountHolderType = BankAccountHolderType.Business,
                        BankName = "Test Bank",
                        Nickname = "Withdrawal Account",
                        RoutingAccount = "123123123",
                        TypeAccount = TypeAccount.Checking,
                        AccountId = "123-456"
                    },
                    new Bank {
                        AccountNumber = "123123123",
                        BankAccountFunction = 0,
                        BankAccountHolderName = "Gruzya Adventure Outfitters LLC",
                        BankAccountHolderType = BankAccountHolderType.Business,
                        BankName = "Test Bank",
                        Nickname = "Deposit Account",
                        RoutingAccount = "123123123",
                        TypeAccount = TypeAccount.Checking,
                        AccountId = "123-456"
                    },
                }
                ,
                Bcity = "New Vegas",
                Bcountry = "US",
                Binperson = 60,
                Binphone = 20,
                Binweb = 20,
                Bstate = "FL",
                Bsummary = "Brick and mortar store that sells office supplies",
                Btype = OwnType.LimitedLiabilityCompany,
                Bzip = "33000",
                Contacts = new List<ApplicationDataPayInContactsItem>(){
                    new ApplicationDataPayInContactsItem {
                        ContactEmail = "herman@hermanscoatings.com",
                        ContactName = "Herman Martinez",
                        ContactPhone = "3055550000",
                        ContactTitle = "Owner"
                    },
                }
                ,
                CreditLimit = "creditLimit",
                DbaName = "Sunshine Gutters",
                Ein = "123456789",
                Faxnumber = "1234567890",
                Highticketamt = 1000,
                LegalName = "Sunshine Services, LLC",
                License = "2222222FFG",
                Licstate = "CA",
                Maddress = "123 Walnut Street",
                Maddress1 = "STE 900",
                Mcc = "7777",
                Mcity = "Johnson City",
                Mcountry = "US",
                Mstate = "TN",
                Mzip = "37615",
                OrgId = 123L,
                Ownership = new List<ApplicationDataPayInOwnershipItem>(){
                    new ApplicationDataPayInOwnershipItem {
                        Oaddress = "33 North St",
                        Ocity = "Any City",
                        Ocountry = "US",
                        Odriverstate = "CA",
                        Ostate = "CA",
                        Ownerdob = "01/01/1990",
                        Ownerdriver = "CA6677778",
                        Owneremail = "test@email.com",
                        Ownername = "John Smith",
                        Ownerpercent = 100,
                        Ownerphone1 = "555888111",
                        Ownerphone2 = "555888111",
                        Ownerssn = "123456789",
                        Ownertitle = "CEO",
                        Ozip = "55555"
                    },
                }
                ,
                Phonenumber = "1234567890",
                ProcessingRegion = "US",
                RecipientEmail = "josephray@example.com",
                RecipientEmailNotification = true,
                Resumable = true,
                Signer = new SignerDataRequest {
                    Address = "33 North St",
                    Address1 = "STE 900",
                    City = "Bristol",
                    Country = "US",
                    Dob = "01/01/1976",
                    Email = "test@email.com",
                    Name = "John Smith",
                    Phone = "555888111",
                    Ssn = "123456789",
                    State = "TN",
                    Zip = "55555",
                    PciAttestation = true,
                    SignedDocumentReference = "https://example.com/signed-document.pdf",
                    AttestationDate = "04/20/2025",
                    SignDate = "04/20/2025",
                    AdditionalData = new Dictionary<string, string>(){
                        ["deviceId"] = "499585-389fj484-3jcj8hj3",
                        ["session"] = "fifji4-fiu443-fn4843",
                        ["timeWithCompany"] = "6 Years",
                    }

                },
                Startdate = "01/01/1990",
                TaxFillName = "Sunshine LLC",
                TemplateId = 22L,
                Ticketamt = 1000,
                Website = "www.example.com",
                WhenCharged = Whencharged.WhenServiceProvided,
                WhenDelivered = Whendelivered.Over30Days,
                WhenProvided = Whenprovided.ThirtyDaysOrLess,
                WhenRefunded = Whenrefunded.ThirtyDaysOrLess
            }
        );
    }

}

```

```go PayIn
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithApiKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &payabli.AddApplicationRequest{
        ApplicationDataPayIn: &payabli.ApplicationDataPayIn{
            Services: &payabli.ApplicationDataPayInServices{
                Ach: &payabli.ApplicationDataPayInServicesAch{},
                Card: &payabli.ApplicationDataPayInServicesCard{
                    AcceptAmex: payabli.Bool(
                        true,
                    ),
                    AcceptDiscover: payabli.Bool(
                        true,
                    ),
                    AcceptMastercard: payabli.Bool(
                        true,
                    ),
                    AcceptVisa: payabli.Bool(
                        true,
                    ),
                },
            },
            AnnualRevenue: payabli.Float64(
                1000,
            ),
            AverageBillSize: payabli.String(
                "500",
            ),
            AverageMonthlyBill: payabli.String(
                "5650",
            ),
            Avgmonthly: payabli.Float64(
                1000,
            ),
            Baddress: payabli.String(
                "123 Walnut Street",
            ),
            Baddress1: payabli.String(
                "Suite 103",
            ),
            BankData: []*payabli.Bank{
                &payabli.Bank{
                    AccountNumber: payabli.String(
                        "123123123",
                    ),
                    BankAccountFunction: payabli.Int(
                        1,
                    ),
                    BankAccountHolderName: payabli.String(
                        "Gruzya Adventure Outfitters LLC",
                    ),
                    BankAccountHolderType: payabli.BankAccountHolderTypeBusiness.Ptr(),
                    BankName: payabli.String(
                        "Test Bank",
                    ),
                    Nickname: payabli.String(
                        "Withdrawal Account",
                    ),
                    RoutingAccount: payabli.String(
                        "123123123",
                    ),
                    TypeAccount: payabli.TypeAccountChecking.Ptr(),
                    AccountId: payabli.String(
                        "123-456",
                    ),
                },
                &payabli.Bank{
                    AccountNumber: payabli.String(
                        "123123123",
                    ),
                    BankAccountFunction: payabli.Int(
                        0,
                    ),
                    BankAccountHolderName: payabli.String(
                        "Gruzya Adventure Outfitters LLC",
                    ),
                    BankAccountHolderType: payabli.BankAccountHolderTypeBusiness.Ptr(),
                    BankName: payabli.String(
                        "Test Bank",
                    ),
                    Nickname: payabli.String(
                        "Deposit Account",
                    ),
                    RoutingAccount: payabli.String(
                        "123123123",
                    ),
                    TypeAccount: payabli.TypeAccountChecking.Ptr(),
                    AccountId: payabli.String(
                        "123-456",
                    ),
                },
            },
            Bcity: payabli.String(
                "New Vegas",
            ),
            Bcountry: payabli.String(
                "US",
            ),
            Binperson: payabli.Int(
                60,
            ),
            Binphone: payabli.Int(
                20,
            ),
            Binweb: payabli.Int(
                20,
            ),
            Bstate: payabli.String(
                "FL",
            ),
            Bsummary: payabli.String(
                "Brick and mortar store that sells office supplies",
            ),
            Btype: payabli.OwnTypeLimitedLiabilityCompany.Ptr(),
            Bzip: payabli.String(
                "33000",
            ),
            Contacts: []*payabli.ApplicationDataPayInContactsItem{
                &payabli.ApplicationDataPayInContactsItem{
                    ContactEmail: payabli.String(
                        "herman@hermanscoatings.com",
                    ),
                    ContactName: payabli.String(
                        "Herman Martinez",
                    ),
                    ContactPhone: payabli.String(
                        "3055550000",
                    ),
                    ContactTitle: payabli.String(
                        "Owner",
                    ),
                },
            },
            CreditLimit: payabli.String(
                "creditLimit",
            ),
            DbaName: payabli.String(
                "Sunshine Gutters",
            ),
            Ein: payabli.String(
                "123456789",
            ),
            Faxnumber: payabli.String(
                "1234567890",
            ),
            Highticketamt: payabli.Float64(
                1000,
            ),
            LegalName: payabli.String(
                "Sunshine Services, LLC",
            ),
            License: payabli.String(
                "2222222FFG",
            ),
            Licstate: payabli.String(
                "CA",
            ),
            Maddress: payabli.String(
                "123 Walnut Street",
            ),
            Maddress1: payabli.String(
                "STE 900",
            ),
            Mcc: payabli.String(
                "7777",
            ),
            Mcity: payabli.String(
                "Johnson City",
            ),
            Mcountry: payabli.String(
                "US",
            ),
            Mstate: payabli.String(
                "TN",
            ),
            Mzip: payabli.String(
                "37615",
            ),
            OrgId: payabli.Int64(
                int64(123),
            ),
            Ownership: []*payabli.ApplicationDataPayInOwnershipItem{
                &payabli.ApplicationDataPayInOwnershipItem{
                    Oaddress: payabli.String(
                        "33 North St",
                    ),
                    Ocity: payabli.String(
                        "Any City",
                    ),
                    Ocountry: payabli.String(
                        "US",
                    ),
                    Odriverstate: payabli.String(
                        "CA",
                    ),
                    Ostate: payabli.String(
                        "CA",
                    ),
                    Ownerdob: payabli.String(
                        "01/01/1990",
                    ),
                    Ownerdriver: payabli.String(
                        "CA6677778",
                    ),
                    Owneremail: payabli.String(
                        "test@email.com",
                    ),
                    Ownername: payabli.String(
                        "John Smith",
                    ),
                    Ownerpercent: payabli.Int(
                        100,
                    ),
                    Ownerphone1: payabli.String(
                        "555888111",
                    ),
                    Ownerphone2: payabli.String(
                        "555888111",
                    ),
                    Ownerssn: payabli.String(
                        "123456789",
                    ),
                    Ownertitle: payabli.String(
                        "CEO",
                    ),
                    Ozip: payabli.String(
                        "55555",
                    ),
                },
            },
            Phonenumber: "1234567890",
            ProcessingRegion: "US",
            RecipientEmail: payabli.String(
                "josephray@example.com",
            ),
            RecipientEmailNotification: payabli.Bool(
                true,
            ),
            Resumable: payabli.Bool(
                true,
            ),
            Signer: &payabli.SignerDataRequest{
                Address: payabli.String(
                    "33 North St",
                ),
                Address1: payabli.String(
                    "STE 900",
                ),
                City: payabli.String(
                    "Bristol",
                ),
                Country: payabli.String(
                    "US",
                ),
                Dob: payabli.String(
                    "01/01/1976",
                ),
                Email: payabli.String(
                    "test@email.com",
                ),
                Name: payabli.String(
                    "John Smith",
                ),
                Phone: payabli.String(
                    "555888111",
                ),
                Ssn: payabli.String(
                    "123456789",
                ),
                State: payabli.String(
                    "TN",
                ),
                Zip: payabli.String(
                    "55555",
                ),
                PciAttestation: payabli.Bool(
                    true,
                ),
[...]
